## org.eclipse.emf.codegen.ecore.genmodel.provider
Class GenBaseItemProvider.GenItemPropertyDescriptor

    java.lang.Object
      org.eclipse.emf.edit.provider.ItemPropertyDescriptor
          org.eclipse.emf.codegen.ecore.genmodel.provider.GenBaseItemProvider.GenItemPropertyDescriptor

All Implemented Interfaces:
  IItemPropertyDescriptor, IItemPropertyDescriptor.OverrideableCommandOwner

Enclosing class:
  GenBaseItemProvider

    protected static class GenBaseItemProvider.GenItemPropertyDescriptor

extends ItemPropertyDescriptor

A simple extension of ItemPropertyDescriptor that forbids editing of items that will not be persisted.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ItemPropertyDescriptor
`ItemPropertyDescriptor.ItemDelegator, ItemPropertyDescriptor.PropertyValueWrapper`

Nested classes/interfaces inherited from interface org.eclipse.emf.edit.provider.IItemPropertyDescriptor
`IItemPropertyDescriptor.OverrideableCommandOwner`

Field Summary

Fields inherited from class org.eclipse.emf.edit.provider.ItemPropertyDescriptor
`adapterFactory, BOOLEAN_VALUE_IMAGE, category, commandOwner, description, displayName, ecorePackage, feature, filterFlags, GENERIC_VALUE_IMAGE, INTEGRAL_VALUE_IMAGE, isSettable, itemDelegator, multiLine, parentReferences, REAL_VALUE_IMAGE, resourceLocator, sortChoices, staticImage, TEXT_VALUE_IMAGE`

Constructor Summary
`GenBaseItemProvider.GenItemPropertyDescriptor(AdapterFactory adapterFactory, ResourceLocator resourceLocator, java.lang.String displayName, java.lang.String description, EStructuralFeature feature, boolean isSettable, boolean multiLine, boolean sortChoices, java.lang.Object staticImage, java.lang.String category, java.lang.String[] filterFlags)`
`GenBaseItemProvider.GenItemPropertyDescriptor(AdapterFactory adapterFactory, java.lang.String displayName, java.lang.String description, EStructuralFeature feature, boolean isSettable, java.lang.Object staticImage, java.lang.String category)`
`GenBaseItemProvider.GenItemPropertyDescriptor(AdapterFactory adapterFactory, java.lang.String displayName, java.lang.String description, EStructuralFeature feature, boolean isSettable, java.lang.String category)`

Method Summary
`boolean` `canSetProperty(java.lang.Object object)` This determines whether this descriptor's property for the object supports set (and reset).
`protected java.lang.Object` `createPropertyValueWrapper(java.lang.Object object, java.lang.Object propertyValue)`

Methods inherited from class org.eclipse.emf.edit.provider.ItemPropertyDescriptor

`collectReachableObjectsOfType, getCategory, getChoiceOfValues, getComboBoxObjects, getCommandOwner, getCommandOwner, getDefaultId, getDefaultValue, getDescription, getDisplayName, getEditingDomain, getFeature, getFilterFlags, getHelpContextIds, getId, getLabelProvider, getPropertyValue, getReachableObjectsOfType, getValue, isCompatibleWith, isMany, isMultiLine, isPropertySet, isSortChoices, resetPropertyValue, setCommandOwner, setPropertyValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenBaseItemProvider.GenItemPropertyDescriptor

    public GenBaseItemProvider.GenItemPropertyDescriptor(AdapterFactory adapterFactory,
                                                         java.lang.String displayName,
                                                         java.lang.String description,
                                                         EStructuralFeature feature,
                                                         boolean isSettable,
                                                         java.lang.String category)

### GenBaseItemProvider.GenItemPropertyDescriptor

    public GenBaseItemProvider.GenItemPropertyDescriptor(AdapterFactory adapterFactory,
                                                         java.lang.String displayName,
                                                         java.lang.String description,
                                                         EStructuralFeature feature,
                                                         boolean isSettable,
                                                         java.lang.Object staticImage,
                                                         java.lang.String category)

### GenBaseItemProvider.GenItemPropertyDescriptor

    public GenBaseItemProvider.GenItemPropertyDescriptor(AdapterFactory adapterFactory,
                                                         ResourceLocator resourceLocator,
                                                         java.lang.String displayName,
                                                         java.lang.String description,
                                                         EStructuralFeature feature,
                                                         boolean isSettable,
                                                         boolean multiLine,
                                                         boolean sortChoices,
                                                         java.lang.Object staticImage,
                                                         java.lang.String category,
                                                         java.lang.String[] filterFlags)

Method Detail

### canSetProperty

    public boolean canSetProperty(java.lang.Object object)

  Description copied from class: `ItemPropertyDescriptor`
  This determines whether this descriptor's property for the object supports set (and reset).

  Specified by:
    `canSetProperty` in interface `IItemPropertyDescriptor`
  Overrides:
    `canSetProperty` in class `ItemPropertyDescriptor`

### createPropertyValueWrapper

    protected java.lang.Object createPropertyValueWrapper(java.lang.Object object,
                                                          java.lang.Object propertyValue)

  Overrides:
    `createPropertyValueWrapper` in class `ItemPropertyDescriptor`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.